Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.impl
Class ADeriveImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.act.impl.AActImpl
                          org.metaabm.act.impl.AAccessorImpl
                              org.metaabm.act.impl.ADeriveImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AAccessor, AAct, ADerive, ARoot, ASelect, IAct, IID

    public class ADeriveImpl

extends AAccessorImpl
implements ADerive

An implementation of the model object 'ADerive'.

The following features are implemented:

- `Agent`
- `Space`
- `For`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected SAgent` | `agent` The cached value of the '`Agent`' reference.
`protected ASelectTypes` | `for_` The cached value of the '`For`' attribute.
`protected static ASelectTypes` | `FOR_EDEFAULT` The default value of the '`For`' attribute.
`protected SProjection` | `space` The cached value of the '`Space`' reference.

Fields inherited from class org.metaabm.act.impl.AAccessorImpl
`attribute`

Fields inherited from class org.metaabm.act.impl.AActImpl
`selected, sources, targets`

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `ADeriveImpl()`

Method Summary
`SAgent` | `basicGetAgent()`
`SProjection` | `basicGetSpace()`
`int` | `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` | `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`SAgent` | `getAgent()`
`ASelectTypes` | `getFor()`
`SProjection` | `getSpace()`
`boolean` | `isReachable(IValue value)`
`void` | `setAgent(SAgent newAgent)`
`void` | `setFor(ASelectTypes newFor)`
`void` | `setSpace(SProjection newSpace)`
`java.lang.String` | `toString()`

Methods inherited from class org.metaabm.act.impl.AAccessorImpl
`basicGetAttribute, getAttribute, references, setAttribute`

Methods inherited from class org.metaabm.act.impl.AActImpl
`basicGetReference, basicGetRootSelected, basicGetSelected, basicSetGroup, computeAllSources, computeAllTargets, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isTargetOf, setGroup, setSelected`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setID, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.act.AAccessor
`getAttribute, setAttribute`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### agent

    protected SAgent agent

  The cached value of the '`Agent`' reference.

  See Also:
    `getAgent()`

### space

    protected SProjection space

  The cached value of the '`Space`' reference.

  See Also:
    `getSpace()`

### FOR_EDEFAULT

    protected static final ASelectTypes FOR_EDEFAULT

  The default value of the '`For`' attribute.

  See Also:
    `getFor()`

### for_

    protected ASelectTypes for_

  The cached value of the '`For`' attribute.

  See Also:
    `getFor()`

Constructor Detail

### ADeriveImpl

    protected ADeriveImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `AAccessorImpl`

### getAgent

    public SAgent getAgent()

  Specified by:
    `getAgent` in interface `ASelect`
  Returns:
    the value of the 'Agent' reference.
  See Also:
    `ASelect.setAgent(SAgent)`, `MetaABMActPackage.getASelect_Agent()`

### basicGetAgent

    public SAgent basicGetAgent()

### setAgent

    public void setAgent(SAgent newAgent)

  Specified by:
    `setAgent` in interface `ASelect`
  Parameters:
    `newAgent` - the new value of the 'Agent' reference.
  See Also:
    `ASelect.getAgent()`

### getSpace

    public SProjection getSpace()

  Specified by:
    `getSpace` in interface `ASelect`
  Returns:
    the value of the 'Space' reference.
  See Also:
    `ASelect.setSpace(SProjection)`, `MetaABMActPackage.getASelect_Space()`

### basicGetSpace

    public SProjection basicGetSpace()

### setSpace

    public void setSpace(SProjection newSpace)

  Specified by:
    `setSpace` in interface `ASelect`
  Parameters:
    `newSpace` - the new value of the 'Space' reference.
  See Also:
    `ASelect.getSpace()`

### getFor

    public ASelectTypes getFor()

  Specified by:
    `getFor` in interface `ASelect`
  Returns:
    the value of the 'For' attribute.
  See Also:
    `ASelectTypes`, `ASelect.setFor(ASelectTypes)`, `MetaABMActPackage.getASelect_For()`

### setFor

    public void setFor(ASelectTypes newFor)

  Specified by:
    `setFor` in interface `ASelect`
  Parameters:
    `newFor` - the new value of the 'For' attribute.
  See Also:
    `ASelectTypes`, `ASelect.getFor()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `AAccessorImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `AAccessorImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `AAccessorImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `AAccessorImpl`

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### isReachable

    public boolean isReachable(IValue value)

  Specified by:
    `isReachable` in interface `AAct`
  Overrides:
    `isReachable` in class `AActImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `IIDImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD